Subject: [PATCH v8 3/4] arm64: Add do_softirq_own_stack() and enable irq_stacks

From: [email-masked] (Will Deacon)
Date: Tue, 8 Dec 2015 11:43:21 +0000

On Mon, Dec 07, 2015 at 10:48:07PM +0000, Catalin Marinas wrote:
> On Fri, Dec 04, 2015 at 11:02:27AM +0000, James Morse wrote:
> > entry.S is modified to switch to the per_cpu irq_stack during el{0,1}_irq.
> > irq_count is used to detect recursive interrupts on the irq_stack, it is
> > updated late by do_softirq_own_stack(), when called on the irq_stack, before
> > __do_softirq() re-enables interrupts to process softirqs.
> > 
> > do_softirq_own_stack() is added by this patch, but does not yet switch
> > stack.
> > 
> > This patch adds the dummy stack frame and data needed by the previous
> > stack tracing patches.
> > 
> > Signed-off-by: James Morse <[email-masked]>
> 
> In the interest of getting things moving on this series:
> 
> Reviewed-by: Catalin Marinas <[email-masked]>
> 
> I propose that we skip patch 4 for now and, as James suggested, keep the
> THREAD_SIZE to 16KB for one more release cycle. It would be good to get
> some statistics on stack usage.
> 
> Patches 1-3 look fine to me on their own.

I'll pick them up and see if they survive testing.

Will